## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Most of the tests require network access, so they are disabled by default.
%bcond_with  tests

%global         srcname         msal
%global         forgeurl        https://github.com/AzureAD/microsoft-authentication-library-for-python/
Version:        1.16.0
%global         tag             %{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Microsoft Authentication Library (MSAL) for Python

License:        MIT
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
The Microsoft Authentication Library for Python
enables applications to integrate with the Microsoft identity platform. It
allows you to sign in users or apps with Microsoft identities (Azure AD,
Microsoft Accounts and Azure AD B2Caccounts) and obtain tokens to call Microsoft
APIs such as Microsoft Graph or your own APIs registered with the Microsoft
identity platform. It is built using industry standard OAuth2 and OpenID Connect
protocols.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files msal


%if %{with tests}
%check
%pytest --disable-warnings tests
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc *.md


%changelog
* mer. déc. 15 2021 Major Hayden <major@mhtx.net> 1.16.0-1
- Update to 1.16.0

* ven. nov. 12 2021 Major Hayden <major@mhtx.net> 1.15.0-2
- Remove docs

* lun. oct. 04 2021 Major Hayden <major@mhtx.net> 1.15.0-1
- 🚀 Update to 1.15.0

* ven. juil. 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* mer. juil. 21 2021 Major Hayden <major@mhtx.net> 1.13.0-1
- Update to 1.13.0

* mar. juil. 06 2021 Major Hayden <major@mhtx.net> 1.12.0-4
- Fix lato font requirement

* jeu. juin 10 2021 Stephen Gallagher <sgallagh@redhat.com> 1.12.0-3
- Fix conditional to work when %fedora is not defined

* ven. juin 04 2021 Python Maint <python-maint@redhat.com> 1.12.0-2
- Rebuilt for Python 3.10

* ven. juin 04 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.12.0-1
- Update to 1.12.0

* dim. mars 21 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.10.0-2
- Fix doc. build + disable online unit tests

* dim. mars 21 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.10.0-1
- Update to 1.10.0

* lun. févr. 15 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.8.0-1
- Update to 1.8.0

* mer. janv. 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* ven. janv. 08 2021 Tom Stellard <tstellar@redhat.com> 1.4.3-3
- Add BuildRequires: make

* mer. juil. 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* sam. juil. 25 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.4.3-1
- Update to 1.4 3

* ven. juil. 24 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.4.2-1
- Update to 1.4.2

* sam. juin 27 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.4.1-1
- Update to 1.4.1

* dim. mai 31 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.3.0-2
- Rebuild for Python 3.9

* ven. mai 29 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.3.0-1
- First import
